Hope you don't mind me contacting you, my firewall has prompted me for an update so I clicked on it to download it but when I choose install it says the older version needs to be removed first. Is this right? If I uninstall it first what if I get hacked while one is being uninstalled and the other one is installed? Thanks from jane